### Hierarchy

- IEmitter
  - IActions

### Implemented by

- Actions

### Indexable

[key: string]: any

## Index

### Properties

- EVENT_UPDATED
- buttons
- emit
- freeze
- off
- on
- register
- styles
- tasks
- unRegister

### Methods

- parse
- removeEvent
- removeEvents
- run
- save
- sendNotification
- toString

## Properties

### EVENT_UPDATED

EVENT_UPDATED: string

- Defined in Actions/Actions.ts:16

### buttons

buttons: IActionsButton[]

- Defined in Actions/Actions.ts:17

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### freeze

freeze: IPageContentCellIndex

- Defined in Actions/Actions.ts:20

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### styles

styles: IActionsStyle[]

- Defined in Actions/Actions.ts:18

### tasks

tasks: IActionsTask[]

- Defined in Actions/Actions.ts:19

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### parse

- parse(str: string): void

- - Defined in Actions/Actions.ts:22

  #### Parameters

  - ##### str: string

  #### Returns void

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### run

- run(gridCell: IGridCell): IActionsRun

- - Defined in Actions/Actions.ts:25

  #### Parameters

  - ##### gridCell: IGridCell

  #### Returns IActionsRun

### save

- save(): Promise<any>

- - Defined in Actions/Actions.ts:24

  #### Returns Promise<any>

### sendNotification

- sendNotification(messageNotification: IActionsTaskActionSetActionNotification, options?: IActionsSendNotificationOptions): Promise<any>

- - Defined in Actions/Actions.ts:26

  #### Parameters

  - ##### messageNotification: IActionsTaskActionSetActionNotification

  - ##### Optional options: IActionsSendNotificationOptions

  #### Returns Promise<any>

### toString

- toString(): string

- - Defined in Actions/Actions.ts:23

  #### Returns string

Generated using TypeDoc